/// <reference types="@nextcloud/typings" />
/// <reference types="@nextcloud/typings" />
/// <reference types="@nextcloud/typings" />
import { ILogger, ILoggerFactory, LogLevel } from './contracts';
declare global {
    interface Window {
        OC: Nextcloud.v23.OC | Nextcloud.v24.OC | Nextcloud.v25.OC;
    }
}
/**
 * @notExported
 */
export declare class LoggerBuilder {
    protected context: any;
    protected factory: ILoggerFactory;
    constructor(factory: ILoggerFactory);
    /** Set the app name within the logging context */
    setApp(appId: string): LoggerBuilder;
    /** Set the logging level within the logging context */
    setLogLevel(level: LogLevel): this;
    /** Set the user id within the logging context
     * @see {@link detectUser}
    */
    setUid(uid: string): LoggerBuilder;
    /** Detect the currently logged in user and set the user id within the logging context */
    detectUser(): LoggerBuilder;
    /** Detect and use logging level configured in nextcloud config */
    detectLogLevel(): LoggerBuilder;
    /** Build a logger using the logging context and factory */
    build(): ILogger;
}
