"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var contracts_1 = require("../lib/contracts");
var mocks_1 = require("./mocks");
describe('detect logging level', function () {
    var state = window.document.readyState;
    /** Set document ready state and emit events */
    var setReadyState = function (newState) {
        state = newState;
        if (state === 'complete')
            global.window.dispatchEvent(new Event('load'));
        global.window.document.dispatchEvent(new Event('readystatechange'));
    };
    beforeAll(function () {
        state = global.window.document.readyState;
        Object.defineProperty(global.window.document, "readyState", {
            get: function () { return state; }
        });
    });
    describe('without `OC.config.loglevel` (<=NC24)', function () {
        it('without `OC.debug`', function () { return __awaiter(void 0, void 0, void 0, function () {
            var builder;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        setReadyState('loading');
                        builder = (0, mocks_1.getLoggerBuilder)();
                        builder.detectLogLevel();
                        // Still loading so no level set
                        expect('level' in builder.getContext()).toBe(false);
                        // Trigger document loaded
                        setReadyState('complete');
                        return [4 /*yield*/, new Promise(process.nextTick)];
                    case 1:
                        _a.sent();
                        // Level should now be set
                        expect('level' in builder.getContext()).toBe(true);
                        // Should default to warn as NC24 has no `OC.config.loglevel`
                        expect(builder.getContext().level).toBe(contracts_1.LogLevel.Warn);
                        return [2 /*return*/];
                }
            });
        }); });
        it('with `OC.debug`', function () { return __awaiter(void 0, void 0, void 0, function () {
            var builder;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        setReadyState('loading');
                        builder = (0, mocks_1.getLoggerBuilder)();
                        builder.detectLogLevel();
                        // Still loading so no level set
                        expect('level' in builder.getContext()).toBe(false);
                        // Mock OC and trigger document loaded
                        // @ts-ignore
                        window.OC = { debug: true };
                        setReadyState('complete');
                        return [4 /*yield*/, new Promise(process.nextTick)];
                    case 1:
                        _a.sent();
                        // Level should now be set
                        expect('level' in builder.getContext()).toBe(true);
                        // Should default to warn as NC24 has no `OC.config.loglevel`
                        expect(builder.getContext().level).toBe(contracts_1.LogLevel.Debug);
                        return [2 /*return*/];
                }
            });
        }); });
    });
    /* Since NC25 configuring the loglevel is possible */
    describe('with `OC.config.loglevel`', function () {
        beforeAll(function () {
            // @ts-ignore
            window.OC = {
                config: {
                    loglevel: contracts_1.LogLevel.Info,
                },
                debug: false,
            };
        });
        it('already loaded', function () { return __awaiter(void 0, void 0, void 0, function () {
            var builder;
            return __generator(this, function (_a) {
                setReadyState('complete');
                builder = (0, mocks_1.getLoggerBuilder)();
                builder.detectLogLevel();
                expect('level' in builder.getContext()).toBe(true);
                expect(builder.getContext().level).toBe(window.OC.config.loglevel);
                return [2 /*return*/];
            });
        }); });
        it('stil loading', function () { return __awaiter(void 0, void 0, void 0, function () {
            var builder, logger;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        setReadyState('loading');
                        builder = (0, mocks_1.getLoggerBuilder)();
                        builder.detectLogLevel();
                        logger = builder.build();
                        // Still loading so no level set
                        expect('level' in builder.getContext()).toBe(false);
                        expect('level' in logger.context).toBe(false);
                        // Trigger document loaded
                        setReadyState('complete');
                        return [4 /*yield*/, new Promise(process.nextTick)];
                    case 1:
                        _a.sent();
                        // Level should now be set to configured one, also in logger
                        expect('level' in builder.getContext()).toBe(true);
                        expect('level' in logger.context).toBe(true);
                        expect(builder.getContext().level).toBe(window.OC.config.loglevel);
                        expect(logger.context.level).toBe(window.OC.config.loglevel);
                        return [2 /*return*/];
                }
            });
        }); });
        it('with `OC.debug` override', function () { return __awaiter(void 0, void 0, void 0, function () {
            var builder;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        setReadyState('loading');
                        builder = (0, mocks_1.getLoggerBuilder)();
                        builder.detectLogLevel();
                        // Still loading so no level set
                        expect('level' in builder.getContext()).toBe(false);
                        // Trigger document loaded
                        window.OC.debug = true;
                        setReadyState('complete');
                        return [4 /*yield*/, new Promise(process.nextTick)];
                    case 1:
                        _a.sent();
                        // Level should now be set to configured one
                        expect('level' in builder.getContext()).toBe(true);
                        expect(builder.getContext().level).toBe(contracts_1.LogLevel.Debug);
                        return [2 /*return*/];
                }
            });
        }); });
    });
});
