"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLogger = exports.getLoggerBuilder = exports.mockedFactory = exports.MockedLogger = exports.MockedLoggerBuilder = void 0;
var lib_1 = require("../lib");
var LoggerBuilder_1 = require("../lib/LoggerBuilder");
var MockedLoggerBuilder = /** @class */ (function (_super) {
    __extends(MockedLoggerBuilder, _super);
    function MockedLoggerBuilder() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MockedLoggerBuilder.prototype.getContext = function () {
        return this.context;
    };
    return MockedLoggerBuilder;
}(LoggerBuilder_1.LoggerBuilder));
exports.MockedLoggerBuilder = MockedLoggerBuilder;
var MockedLogger = /** @class */ (function () {
    function MockedLogger(context) {
        this.context = context;
        this.messages = [];
    }
    MockedLogger.prototype.debug = function (message, context) {
        this.messages.push({ level: lib_1.LogLevel.Debug, message: message, context: Object.assign({}, this.context, context) });
    };
    MockedLogger.prototype.info = function (message, context) {
        this.messages.push({ level: lib_1.LogLevel.Info, message: message, context: Object.assign({}, this.context, context) });
    };
    MockedLogger.prototype.warn = function (message, context) {
        this.messages.push({ level: lib_1.LogLevel.Warn, message: message, context: Object.assign({}, this.context, context) });
    };
    MockedLogger.prototype.error = function (message, context) {
        this.messages.push({ level: lib_1.LogLevel.Error, message: message, context: Object.assign({}, this.context, context) });
    };
    MockedLogger.prototype.fatal = function (message, context) {
        this.messages.push({ level: lib_1.LogLevel.Fatal, message: message, context: Object.assign({}, this.context, context) });
    };
    return MockedLogger;
}());
exports.MockedLogger = MockedLogger;
var mockedFactory = function (context) { return new MockedLogger(context); };
exports.mockedFactory = mockedFactory;
var getLoggerBuilder = function () { return new MockedLoggerBuilder(exports.mockedFactory); };
exports.getLoggerBuilder = getLoggerBuilder;
var getLogger = function () { return (0, exports.getLoggerBuilder)().build(); };
exports.getLogger = getLogger;
